This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 195264 - cifs mount error 6 - no such device
cifs mount error 6 - no such device
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 12:47 EDT by Douglas
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 14:54:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas 2006-06-14 12:47:49 EDT
Description of problem:
Unable to mount to samba server using mount -t cifs //192.168.0.111/thedir
/mnt/dir1 -o user=myname. 
I am able to access the shared drive from xwindows-gnome "connect to server"
without any problem as well as accessing the server from other linux & windows
machines. It is important to be able to mount the drive to access via /mnt/dir1

I have turned off the firewall and set Selinux to permissive mode

Version-Release number of selected component (if applicable):
Cifs version 1.40
Samba server V2.2.1

How reproducible:
Every time


Steps to Reproduce:
1.# mount -t cifs //192.168.0.111/dir /mnt/dir1 -o user=myname
Password:
2.
3.
  
Actual results:
mount error 6 = No such device or address
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)

/var/log/messages includes: 
kernel:  CIFS VFS: cifs_mount failed w/return code = -6

Expected results:
no response and the ability to access the files as I do with FC3 under /mnt/dir1

Additional info:
I have searched online and the only mount error 6 messages relate to people
having incorrectly specified the directory
Comment 1 Rick Hunnicutt 2006-11-08 13:35:54 EST
Same results with FC6 using mount -t cifs or mount.cifs
Comment 2 Steve French 2006-11-25 17:04:28 EST
Is the server configured for share level security?

Is the share name on the server capitalized (DIR rather than dir) (note that
mount.cifs retries with upper case share name unless you have an old mount.cifs)?

You might try turning on debugging to isolate this (mount is not able to return
all of the possible error conditions):

1) turn on debugging ("echo 7 > /proc/fs/cifs/cifsFYI")
2) clear the message log ("dmesg -c")
3) try the mount
4) turn off debugging ("echo 0 > /proc/fs/cifs/cifsFYI")
5) save the log ("dmesg > savefile")
6) change any sensitive information (your servername) from your savefile if desired
7) attach the savefile (or alternatively send it to me and the redhat contact)

Comment 3 Simo Sorce 2007-11-23 14:54:04 EST
No answer to request in a year, as we release several new versions of the cifs
client I'll consider this fixed, reopen if not.

Note You need to log in before you can comment on or make changes to this bug.